package com.weface.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : Administrator
 */
@Data
public class InformForm {
    //标题
    @NotBlank(message = "标题不能为空", groups = {PushValid.class})
    private String title;
    //内容
    @NotBlank(message = "内容不能为空", groups = {PushValid.class})
    private String body;
    //跳转url
    @NotBlank(message = "url不能为空", groups = {PushValid.class})
    private String url;
    //推送类型 0:h5 1:原生
    private Integer pushType;
    //跳转功能名称
    private String className;
    //功能标题
    private String classTitle;
    //是否需要登录
    private String needLogin;
    //请求应用名称首字母小写 例:看看生活->kksh
    @NotBlank(message = "应用名称不能为空", groups = {PushValid.class})
    private String equipmentType;
    //推送设备 4 android 1: ios
    private Integer device;
    //定速推送，例如100，个推控制下发速度在100条/秒左右，0表示不限速
    private Integer speed;
    //推送目标
    private String cid;
    //推送手机号
    private String phone;
    //推送模板
    private Integer messageTemplate;
    //显示样式标识- 0：默认 - 1：长内容 - 2：大图 - 3：横幅 - 4：自定义样式
    private Integer style;
    //推送内容，配合style参数使用- style=0 不生效 - style=1 部分机型可以生效覆盖- style=2 传入图片链接，部分低版本手机不支持- style=3 对应传入文字内容默认: 0
    private String content;
    //推送大图标的url地址小米厂商对图片尺寸有严格要求
    private String image;

    // 按区域推(city、province、country必选一个不为空)
    /**
     * 推送地理位置的城市例：上海市
     */
    private String city;

    /**
     * 推送地理位置的省份例：浙江省
     */
    private String province;

    /**
     * 推送地理位置的国家例：中国
     */
    private String country;

    /**
     * 新闻群推APP_KEY（安卓，IOS，鸿蒙）
     */
    private String appKey;

    public interface PushValid {

    }
}
